<?php
/** authkey generated from within the control panel */
$authkey  = '12345678-12345678-12345678-12345678';
/** Location of the SOAP endpoint */
$endpoint = 'https://beta.cp.vector.apisnetworks.com/soap.php';

/** First step, initialize the SOAP client: */

/** URL Authentication Method: */
$client = new
            SoapClient(NULL,
                       array('connection_timeout' => 5,
                             'location'           => $endpoint.
                                                     '?authkey='.$authkey,
                             'style'              => SOAP_RPC,
                             'use'                => SOAP_ENCODED,
                             'uri'                => 'urn:net.esprit.soap'));

/** HTTP Authorization Method: */
$client = new
            SoapClient(NULL,
                       array('connection_timeout' => 5,
                             'location'           => $endpoint,
                             'style'              => SOAP_RPC,
                             'use'                => SOAP_ENCODED,
                             'uri'                => 'urn:net.esprit.soap',
                             'login'              => 'soap',
                             'password'           => $authkey));


/** Step two, call an operation on the endpoint: */
$diskSpaceArr = $client->common_get_disk_quota();

/** Want to dump the structure of the struct? Use var_export(): */
print (var_export($diskSpaceArr,true));
/** Prints:
 * array (
 *  'total' => 10240,
 *  'used' => 10908,
 * )
 */


/** We now have a struct in PHP5.  Want to know the individual keys? */
print (var_export(array_keys($diskSpaceArr),true));
/** Prints:
 * array ( 0 => 'total',
 *         1 => 'used', )
 */


/** Print out disk space used and free.  The following below will output:
 * Disk space used: 13000
 * Disk space free: 18500
 */
print ("Disk space used: ".$diskSpaceArr['used']."\n".
       "Disk space free: ".($diskSpaceArr['total']-$diskSpaceArr['used'])."\n");


/** We can even reuse the same $client object: */
/** Scalar test: */
$mail_server = $client->common_get_mail_server_name();

print ("Mail server name: " . $mail_server);
/** Prints:
 * Mail server name: mail.demosite.apisnetworks.com
 */

try {
    $client->common_non_existent_function();
} catch (SoapFault $e) {
    print ("Oops!  We got an error: ".$e->faultstring );
}
/** Prints:
 * Oops! We got an error: Procedure 'common_non_existent_function' not present
 */
?>
